using Photon.Pun;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CharacterStatusEffectsTracker : MonoBehaviour
{
    [Header("Set By Code")]
    public AbsorbEffectInstance absorbEffectInstance;
    public DamageIncomeModifierEffectInstance damageIncomeModifierEffectInstance;

    public PhotonView owner;
    public Taggable ownerTag;

    private void Awake()
    {
        owner = GetComponentInParent<PhotonView>();
        ownerTag = GetComponentInParent<Taggable>();

        absorbEffectInstance = GetComponentInChildren<AbsorbEffectInstance>();
        absorbEffectInstance.owner = owner;
        damageIncomeModifierEffectInstance = GetComponentInChildren<DamageIncomeModifierEffectInstance>();
        damageIncomeModifierEffectInstance.owner = owner;

    }
}
